## amrnbenc amrnbenc — Adaptive Multi-Rate Narrow-Band audio encoder |

## Synopsis

    struct              GstAmrnbEnc;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstAudioEncoder
                         +----GstAmrnbEnc

## Implemented Interfaces

GstAmrnbEnc implements GstPreset.

## Properties

      "band-mode"                GstAmrnbEncBandMode   : Read / Write / Construct

## Description

## Synopsis

### Element Information

plugin | amrnb
author | Wim Taymans <wim.taymans@gmail.com>
class | Codec/Encoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw-int, width=(int)16, depth=(int)16, signed=(boolean)true, endianness=(int)1234, rate=(int)8000, channels=(int)1

name | src
direction | source
presence | always
details | audio/AMR, rate=(int)8000, channels=(int)1

## Details

### struct GstAmrnbEnc

    struct GstAmrnbEnc;

## Property Details

### The `"band-mode"` property

      "band-mode"                GstAmrnbEncBandMode   : Read / Write / Construct

Encoding Band Mode (Kbps).

Default value: MR122